activemq-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Bain <tb...@alumni.duke.edu>
Subject Re: Can a producer and consumer running on different activemq versions exchange messages?
Date Wed, 12 Nov 2014 16:47:20 GMT
"One can not mix activemq versions" is too broad of a statement.  There
will be some pairs of versions you can mix, and others you can't.  But "one
can not mix *these particular* activemq versions" is a perfectly accurate
statement.

When I've seen Tim and Gary and others talk about backwards compatibility,
I've always seen them say "we've tried to design it to be
backwards-compatible, but we don't test with different versions so we can't
guarantee that things will work properly, so run the same version if you
can't, and test carefully with your particular versions if you can't run
the same ones."

Since there's no explicit testing of cross-version compatibility, everyone
relies on us (the community) to tell which versions are and aren't
compatible.  You've established that 4.0.1 and 5.9.0 are not compatible, so
thanks for sharing that information for the next person.

Tim

On Wed, Nov 12, 2014 at 2:12 AM, mmg <manjusha.gole@gmail.com> wrote:

> After upgrade activemq used in client to same version as produce solved
> this
> issue. So it seems one can not mix activemq versions.
>
> Thanks for help.
> -mmg
>
>
>
> --
> View this message in context:
> http://activemq.2283324.n4.nabble.com/Can-a-produce-and-consumer-running-on-different-activemq-versions-exchange-messages-tp4680200p4687320.html
> Sent from the ActiveMQ - User mailing list archive at Nabble.com.
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message